Subject: [ietf-types] Registration of media type application/vnd.iptc.g2.planningitem+xml

From: "Michael Steidl \(IPTC\)" <[email-masked]>
Date: Fri, 6 May 2011 12:29:09 +0200

To: [email-masked] 

Subject:

Registration of media type application/vnd.iptc.g2.planningitem+xml

Media Type Name: application

Subtype name: vnd.iptc.g2.planningitem+xml

Required parameters: none

Optional parameters: charset

identical to the charset parameter on application/xml as described

in RFC 3023 [RFC3023] section 3.2

Encoding considerations: Identical to those of application/xml as

described in RFC 3023, section 3.2

Security considerations: In regards to general XML Security issues,

identical to those of "application/xml" as described in RFC3023,

section 10. Beyond these general XML Security issues, the media

type does not contain active or executable content. The information

contained in the media type does not require privacy or integrity

services, however the media type does support the use of the XML

syntax and processing rules for creating and representing digital

signatures as described by RFC3275.

Interoperability considerations:

Published specification:

for NewsML-G2 version 2.7 specifications and EventsML-G2 version 1.6 specifications

http://www.iptc.org/std/NAR/1.8/specification/NAR_1.8-spec-PlanningItem-Core.xsd

Or

http://www.iptc.org/std/NAR/1.8/specification/NAR_1.8-spec-PlanningItem-Power.xsd

Applications which use this media type: none

Additional information:

Magic number(s): none

File extension(s): .xml

Macintosh File Type Code(s): Identical to those of

"application/xml" as described in RFC3023, "TEXT"

Object Identifier(s) or OID(s):

It must be possible to positively identify an Item as it moves

through the news workflow, and is transferred from place to place

and from system to system. An Item therefore gets a globally

unique identifier (guid), which is a persistent, universally unique

identifier, and a version which is incremented when the content of

the Item is updated. The first version is numbered 1: if the version

is not explicitly set, this value must be assumed by the recipient of

the Item. The guid is required to be in the form of a IRI. Any IRI

capable of acting as a globally unique identifier is accepted; the

IPTC provides a standard for this purpose in the form of an IETF RFC

[RFC-3085].

Intended usage:

A Planning Item conveys information for the editorial staff of

media companies about the planned coverage of events or topics 

by a news provider.

Typically a Planning Item holds details like the headline,

keywords and the time of release for a set of planned News Items,

Concept Items or Package items. Further a Planning Item

may provide a list of already delivered Items.

Other Information/General Comment: none

Person to contact for further information:

Name: Michael Steidl

E-mail: [email-masked]

Author/Change controller:

Name: Michael Steidl

E-mail: [email-masked]

----------------------------- 

Michael Steidl

Managing Director of the IPTC [[email-masked]]

International Press Telecommunications Council 
Web:  <http://www.iptc.org/> www.iptc.org - on Twitter  <http://www.twitter.com/IPTC> @IPTC

Business office address: 

20 Garrick Street, London WC2E 9BT, United Kingdom

Registered in England, company no 101096

---

From: Paul Libbrecht <[email-masked]>
Date: Tue, 17 May 2011 09:22:31 +0200

Michael,

I would like to suggest to add the following two lines in the "Additional information" section:

- Windows Clipboard Flavor Name: "IPTC Planningitem XML"
- Macintosh Uniform Type Identifier: org.iptc.planningitem conforms to public.xml

The objective is to make sure that these names are used when items of this type are put into the clipboard of these operating systems.

paul

Le 6 mai 2011 à 12:29, Michael Steidl (IPTC) a écrit :

> Web: www.iptc.org - on Twitter @IPTC
> Business office address:
> _______________________________________________
> ietf-types mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-types